{% extends 'base.html' %}
{% load static %}

{% block meta %}
    <link rel="stylesheet" type="text/css" href="{% static 'blogs/style.css' %}" />
{% endblock meta %}

{% block content %}
    <div class = "full-size d-flex flex-column justify-content-center align-items-center">
        <p class = "montserrat-bold large-font margin-top-4">Torehkan pemikiran</p>
        <form class = "d-flex flex-column justify-content-center align-items-center full-size padding-4" method = "POST" action = "{% url 'blogs:blogs-createBlog' %}" enctype="multipart/form-data">
            {% csrf_token %}
            <div class = "d-flex flex-column">
                <p class = "montserrat-regular medium-font">Judul</p>
                {{ blog_form.title }}
            </div>
            <div class = "d-flex flex-column margin-top-2">
                <p class = "montserrat-regular medium-font">Isi</p>
                {{ blog_form.body }}
            </div>
            <div class = "d-flex flex-row margin-top-4">
                <p class = "montserrat-regular medium-font">Thumbnail</p>
                {{ blog_form.thumbnail }}
            </div>
            <div id = "button" class = "d-flex justify-content-center align-items-center" style = "width: fit-content;">
                <button type="submit" class="btn btn-primary mt-3">Unggah</button>
            </div>
        </form>
    </div>
{% endblock content %}